package depart.commun.modeles;

import java.util.ArrayList;
import java.util.List;

import ca.ntro.app.models.Model;
import ca.ntro.app.models.WriteObjectGraph;
import depart.commun.valeurs.ValeurA;
import depart.frontal.vues.VueA;

public class ModeleA implements Model, WriteObjectGraph {

	private double  attrB = 10.0;

	private List<ValeurA> valeurs = new ArrayList<>();

	public void methodeC(VueA vueA) {
		
		vueA.methodeE();
		for(ValeurA valeur : valeurs) {
			vueA.methodeF(valeur);
		}
	}

	public void methodeA(String paramA) {

		valeurs.add(new ValeurA(paramA));
	}

	public void methodeD(String id, double paramA) {
		for(ValeurA valeur : valeurs) {
			if(valeur.methodeB(id)) {
				valeur.methodeC(paramA);
			}
		}
	}

}
